Lattice Builder Manual Software Package for Constructing Rank-1 Lattices

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Friends Modules Pages
Public Member Functions | List of all members
LatBuilder::Kernel::PAlpha Class Reference

Inherits LatBuilder::Kernel::FunctorAdaptor< Functor::PAlpha >.

## Public Member Functions
| PAlpha (unsigned int alpha)
unsigned int | alpha () const
Public Member Functions inherited from LatBuilder::Kernel::FunctorAdaptor< Functor::PAlpha >
| FunctorAdaptor (Functor functor=Functor())
| Constructor.
RealVector | valuesVector (const Storage< L, C > &storage) const
| Creates a new vector of kernel values. More...
bool | symmetric () const
| Returns `true` if the kernel takes the same value at points \(x\) and \(1 - x\) for \(x \in [0,1)\).
std::string | name () const
| Returns the name of the kernel.
Public Member Functions inherited from LatBuilder::Kernel::Base< FunctorAdaptor< Functor::PAlpha > >
RealVector | valuesVector (const Storage< L, C > &storage) const
| Creates a new vector of kernel values. More...
bool | symmetric () const
| Returns `true` if the kernel takes the same value at points \(x\) and \(1 - x\) for \(x \in [0,1)\).
std::string | name () const
| Returns the name of the kernel.
FunctorAdaptor< Functor::PAlpha > & | derived ()
const FunctorAdaptor < Functor::PAlpha > & | derived () const

## Additional Inherited Members
Public Types inherited from LatBuilder::Kernel::FunctorAdaptor< Functor::PAlpha >
typedef Functor::PAlpha | Functor
Static Public Member Functions inherited from LatBuilder::Kernel::FunctorAdaptor< Functor::PAlpha >
static constexpr Compress | suggestedCompression ()
Protected Member Functions inherited from LatBuilder::Kernel::FunctorAdaptor< Functor::PAlpha >
const Functor & | functor () const

The documentation for this class was generated from the following file:

- latbuilder/include/latbuilder/Kernel/PAlpha.h